Bets summary
curl --request GET \
--url https://api.example.com/api/v1/bets/summary \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.example.com/api/v1/bets/summary"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.example.com/api/v1/bets/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"totalBets": 123,
"orderCount": 123,
"bookmakerCount": 123,
"totalStake": 123,
"avgPrice": 123,
"placedCount": 123,
"pendingCount": 123,
"declinedCount": 123,
"wonCount": 123,
"lostCount": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Orders & Bets
Bets summary
Aggregated hedge bet statistics.
GET
/
api
/
v1
/
bets
/
summary
Bets summary
Authorizations
Client API key (UUID format). Get your key from the admin dashboard.
Query Parameters
Filter bets created on or after this date (YYYY-MM-DD)
Filter bets created on or before this date (YYYY-MM-DD)
Response
Successful Response
Summary of bet statistics for a client.
Total number of bets
Number of unique orders
Number of unique bookmakers
Sum of all bet stakes
Average bet price
Number of placed bets
Number of pending bets
Number of declined bets
Number of won bets
Number of lost bets